=== debian/changelog ===
evolution-ews (3.36.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.36.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 16:35:35 -0400
