=== debian/changelog ===
evolution-ews (3.36.5-0ubuntu1.1) focal; urgency=medium

  * Retrieve S/MIME certificates (LP: #1943450)

 -- Roger Meier <r.meier@siemens.com>  Sun, 03 Oct 2021 15:22:01 +0200

evolution-ews (3.36.5-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922959)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Apr 2021 21:31:09 +0200

evolution-ews (3.36.4-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1886652)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 15:10:37 +0200

evolution-ews (3.36.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1883120)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jun 2020 15:09:46 +0200

evolution-ews (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1876268)
  * debian/control.in:
    - updated the evolution and eds requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 11:09:27 +0200
