## evolution-ews 3.38.1

=== debian/changelog ===
evolution-ews (3.38.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 16:31:30 +0200

evolution-ews (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Sep 2020 22:10:03 +0200

evolution-ews (3.36.4-1) unstable; urgency=medium

  * New upstream release (lp: #1886652)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 15:10:37 +0200

evolution-ews (3.36.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jun 2020 15:06:08 +0200

evolution-ews (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.36.2
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 30 Apr 2020 18:19:28 -0400
