=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.36.5),
-               evolution-data-server-dev (>= 3.36.5),
-               libcamel1.2-dev (>= 3.36.5),
-               libedataserver1.2-dev (>= 3.36.5),
-               libebackend1.2-dev (>= 3.36.5),
-               libecal2.0-dev (>= 3.36.5),
-               libedata-cal2.0-dev (>= 3.36.5),
-               libebook1.2-dev (>= 3.36.5),
-               libedata-book1.2-dev (>= 3.36.5),
+               evolution-dev (>= 3.38.1),
+               evolution-data-server-dev (>= 3.38.1),
+               libcamel1.2-dev (>= 3.38.1),
+               libedataserver1.2-dev (>= 3.38.1),
+               libebackend1.2-dev (>= 3.38.1),
+               libecal2.0-dev (>= 3.38.1),
+               libedata-cal2.0-dev (>= 3.38.1),
+               libebook1.2-dev (>= 3.38.1),
+               libedata-book1.2-dev (>= 3.38.1),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
+               libjson-glib-dev,
                libmspack-dev (>= 0.4),
                libsoup2.4-dev (>= 2.42),
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution
