=== debian/changelog ===
evolution-ews (3.38.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Jan 2021 17:26:40 +0100

evolution-ews (3.38.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Nov 2020 17:27:09 +0100
