=== debian/changelog ===
evolution-ews (3.40.0-1ubuntu1) hirsute; urgency=medium

  * Retrieve S/MIME certificates (LP: #1943450)

 -- Roger Meier <r.meier@siemens.com>  Sun, 03 Oct 2021 23:08:55 +0200

evolution-ews (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:23:10 +0100

evolution-ews (3.39.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution-data-server requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 13:17:05 +0100

evolution-ews (3.39.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 21:08:59 +0100
