## evolution-ews 3.40.1

=== debian/changelog ===
evolution-ews (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 May 2021 11:21:07 +0200
