=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.40),
-               evolution-data-server-dev (>= 3.40),
-               libcamel1.2-dev (>= 3.40),
-               libedataserver1.2-dev (>= 3.40),
-               libebackend1.2-dev (>= 3.40),
-               libecal2.0-dev (>= 3.40),
-               libedata-cal2.0-dev (>= 3.40),
-               libebook1.2-dev (>= 3.40),
-               libedata-book1.2-dev (>= 3.40),
+               evolution-dev (>= 3.40.1),
+               evolution-data-server-dev (>= 3.40.1),
+               libcamel1.2-dev (>= 3.40.1),
+               libedataserver1.2-dev (>= 3.40.1),
+               libebackend1.2-dev (>= 3.40.1),
+               libecal2.0-dev (>= 3.40.1),
+               libedata-cal2.0-dev (>= 3.40.1),
+               libebook1.2-dev (>= 3.40.1),
+               libedata-book1.2-dev (>= 3.40.1),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
