## evolution-ews 3.40.4

=== debian/changelog ===
evolution-ews (3.40.4-1ubuntu1) impish; urgency=medium

  * Update metadata for ubuntu/impish git packaging branch
  * Retrieve S/MIME certificates (Closes: #994252) (LP: #1943450)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Sep 2021 20:05:34 -0400

evolution-ews (3.40.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Sep 2021 11:51:20 +0200

evolution-ews (3.40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 21:37:20 +0200
